%define name printoxx
%define version 2.7
%define release %mkrel 1

Summary:	Printoxx print image files from a user-defined page layout
Summary(de):	Fotocollagen erstellen mit printoxx
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Graphics
URL:		http://kornelix.squarespace.com/storage/printoxx/%name-%version.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	%name-%version.tar.gz
BuildRequires:	%{_lib}gtk+2.0_0-devel gcc-c++
Requires:	gtk+2.0
Obsoletes: 	%name < %version

%description
Printoxx is a free open source Linux program for printing one or more image
files with a user-defined page layout. Images can be added to a layout page
using the mouse to select and drop into place. Images can be moved around 
and resized using the mouse. Adding text (titles, notes) works the same way.
Any font can be used. 

%description -l de
Printoxx ist in erster Linie zum bequemen Erstellen von Abzügen mehrerer Bilder
auf einem Blatt - zum ausdrucken, es lassen sich die zusammengestellten Bilder
jedoch auch wieder als Bild speichern und dann entwickeln.
Nun sind noch die Funktionen drehen , d,h, jedes Foto kann im beliebigen Winkel
auf der Vorlage positioniert werden und die Möglichkeit jedem Bild einen Rand
(die Breite lässt sich auch einstellen) mit frei definierbarer Farbe zu geben,
dazu gekommen. 

%prep
%setup -q 


%build
%make PREFIX=/usr

%install
rm -rf %{buildroot}
%makeinstall PREFIX=%{buildroot}/usr

#icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/%{name}.png \
%{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Exec=%{name}
Icon=%{name}
Comment=Print image files from a user page layout
Terminal=false
Type=Application
Categories=Graphics;2DGraphics;RasterGraphics;GTK;X-MandrivaLinux-Multimedia-Graphics
EOF

#remove
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/*.desktop

#man
install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/*.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1.bz2

%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus



%files
%defattr(-, root, root)
%{_datadir}/doc/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/*.1.bz2


%changelog
* Tue May 18 2010 slick50 <lxgator@gmail.com> 2.7-1pclos2010
- 2.7

* Sat Apr 17 2010 slick50 <lxgator@gmail.com> 2.6-1pclos2010
- 2.6

* Tue Mar 23 2010 slick50 <lxgator@gmail.com> 2.5-1pclos2010
- 2.5

* Mon Jan 18 2010 slick50 <lxgator@gmail.com> 2.3-1pclos2010
- 2.3

* Sun Jan 10 2010 slick50 <lxgator@gmail.com> 2.2-1pclos2010
- 2.2

* Fri Nov 13 2009 slick50 <lxgator@gmail.com> 2.1.1-1pclos2010
- 2.1.1

* Mon Oct 26 2009 Leiche <MeissSW01@aol.com> 2.1-1pclos2010
- 2.1
- add german synaptic description

* Sun Jun 07 2009 pcserver <pcserver@hushmail.com> 2.0.1-1pclos2009
- 2.0.1

* Mon Apr 13 2009 maik3531 <maik3531@yahoo.de> 1.6-1pclos2007
- rebuild

* Sat Oct 18 2008 Doktor5000 <rpm@mandrivauser.de> 1.6-1mud2009.0
- initial package for Mandrivalinux 2009.0
